﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class CsoportTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public CsoportTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// Művészeti-e a csoport típus?
        /// </summary>
        public bool IsMuveszeti => (bool)ExtendedProperties[nameof(IsMuveszeti)];

        /// <summary>
        /// Tanórai célű-e a csoport típus?
        /// </summary>
        public bool IsTanoraiCelu => (bool)ExtendedProperties[nameof(IsTanoraiCelu)];

        /// <summary>
        /// A csoport típus óra perce?
        /// </summary>
        public int? OraPerc => (int?)ExtendedProperties[nameof(OraPerc)];

        #endregion
    }
}
