﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class ErtekelesModDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public ErtekelesModDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// Félkövér-e az értékelés mód?
        /// </summary>
        public bool IsBold => (bool)ExtendedProperties[nameof(IsBold)];

        /// <summary>
        /// Az értékelés mód számonkérés korlátozott-e?
        /// </summary>
        public bool IsSzamonkeresKorlatozott => (bool)ExtendedProperties[nameof(IsSzamonkeresKorlatozott)];

        /// <summary>
        /// Az értékelés mód súlyozása
        /// </summary>
        public int Suly => (int)ExtendedProperties[nameof(Suly)];

        #endregion
    }
}
