﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class EvfolyamTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public EvfolyamTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// Az évfolyam típus alap óraszáma
        /// </summary>
        public double AlapOraszam => (double)ExtendedProperties[nameof(AlapOraszam)];

        /// <summary>
        /// Összevont-e az évfolyam típus?
        /// </summary>
        public bool IsOsszevont => (bool)ExtendedProperties[nameof(IsOsszevont)];

        /// <summary>
        /// A következő évfolyam típus azonosítója
        /// </summary>
        public int? KovetkezoEvfolyamTipusId => (int?)ExtendedProperties[nameof(KovetkezoEvfolyamTipusId)];

        /// <summary>
        /// Az évfolyam típus minimum óraszáma
        /// </summary>
        public double MinimumOraszam => (double)ExtendedProperties[nameof(MinimumOraszam)];

        /// <summary>
        /// Az évfolyam típus viszonyítási létszáma
        /// </summary>
        public double ViszonyitasiLetszam => (double)ExtendedProperties[nameof(ViszonyitasiLetszam)];

        #endregion
    }
}
