﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class NapTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public NapTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// Le nem kötött munkaidő-e a nap típus?
        /// </summary>
        public bool IsLeNemKotottMunkaido => (bool)ExtendedProperties[nameof(IsLeNemKotottMunkaido)];

        /// <summary>
        /// Sorszámozandó-e a nap típus?
        /// </summary>
        public bool IsSorszamozando => (bool)ExtendedProperties[nameof(IsSorszamozando)];

        /// <summary>
        /// Tanítási nap-e a nap típus?
        /// </summary>
        public bool IsTanitasiNap => (bool)ExtendedProperties[nameof(IsTanitasiNap)];

        /// <summary>
        /// Tanórai-e a nap típus?
        /// </summary>
        public bool IsTanorai => (bool)ExtendedProperties[nameof(IsTanorai)];

        /// <summary>
        /// Tanórán kívüli-e a nap típus?
        /// </summary>
        public bool IsTanoranKivuli => (bool)ExtendedProperties[nameof(IsTanoranKivuli)];

        #endregion
    }
}
