﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class OktatasiNevelesiFeladatDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public OktatasiNevelesiFeladatDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// Az oktatás nevelési feladat ESL köepes átlaga
        /// </summary>
        public double EslKozepesAtlag => (double)ExtendedProperties[nameof(EslKozepesAtlag)];

        /// <summary>
        /// Az oktatás nevelési feladat feladat kategória azonosítója
        /// </summary>
        public int FeladatKategoriaId => (int)ExtendedProperties[nameof(FeladatKategoriaId)];

        #endregion
    }
}
