﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class OraTulajdonsagTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public OraTulajdonsagTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// BoolDefault-e az óra tulajdonság típus?
        /// </summary>
        public bool BoolDefault => (bool)ExtendedProperties[nameof(BoolDefault)];

        /// <summary>
        /// Órarendi óra-e az óra tulajdonság típus?
        /// </summary>
        public bool IsOrarendiOra => (bool)ExtendedProperties[nameof(IsOrarendiOra)];

        #endregion
    }
}
