﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class OrszagTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public OrszagTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// Az ország típus ISO kódja
        /// </summary>
        public string IsoKod => (string)ExtendedProperties[nameof(IsoKod)];

        /// <summary>
        /// Az ország típus kód 2
        /// </summary>
        public string Kod2 => (string)ExtendedProperties[nameof(Kod2)];

        /// <summary>
        /// Az ország típus OECD kódja
        /// </summary>
        public int? OecdKod => (int?)ExtendedProperties[nameof(OecdKod)];

        #endregion
    }
}
