﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class SorolasOkaTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public SorolasOkaTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// Bizonyítványban megjelenik-e a sorolás oka típus?
        /// </summary>
        public bool IsBizonyitvanybanMegjelenik => (bool)ExtendedProperties[nameof(IsBizonyitvanybanMegjelenik)];

        /// <summary>
        /// Naplóban megjelenik-e a sorolás oka típus?
        /// </summary>
        public bool IsNaplobanMegjelenik => (bool)ExtendedProperties[nameof(IsNaplobanMegjelenik)];

        /// <summary>
        /// Törzslapon megjelenik-e a sorolás oka típus?
        /// </summary>
        public bool IsTorzslaponMegjelenik => (bool)ExtendedProperties[nameof(IsTorzslaponMegjelenik)];

        #endregion
    }
}
