﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class SzakkepesitesTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public SzakkepesitesTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// A szakképesítés típus szintje
        /// </summary>
        public int? SzakkepesitesSzint => (int?)ExtendedProperties[nameof(SzakkepesitesSzint)];

        /// <summary>
        /// A szakképesítés típus tanulmányi területe
        /// </summary>
        public int? TanulmanyiTerulet => (int?)ExtendedProperties[nameof(TanulmanyiTerulet)];

        /// <summary>
        /// A szakképesítés típus terület sorszáma
        /// </summary>
        public int? TeruletSorszam => (int?)ExtendedProperties[nameof(TeruletSorszam)];

        #endregion
    }
}
