﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class SzakmaTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public SzakmaTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// A szakma típus ágazat azonosítója
        /// </summary>
        public int? AgazatId => (int?)ExtendedProperties[nameof(AgazatId)];

        /// <summary>
        /// A szakma típus alapfokú oktatási időtartama
        /// </summary>
        public int? AlapfokuOktatasiIdotartam => (int?)ExtendedProperties[nameof(AlapfokuOktatasiIdotartam)];

        /// <summary>
        /// A szakma típus digitális kompetencia keretszintje
        /// </summary>
        public int? DigitalisKompetenciaKeretszint => (int?)ExtendedProperties[nameof(DigitalisKompetenciaKeretszint)];

        /// <summary>
        /// A szakma típus érettségi oktatási időtartama
        /// </summary>
        public int? ErettsegiOktatasiIdotartam => (int?)ExtendedProperties[nameof(ErettsegiOktatasiIdotartam)];

        /// <summary>
        /// A szakma típus szakképesítés azonosítószáma
        /// </summary>
        public string SzakkepesitesAzonositoszam => (string)ExtendedProperties[nameof(SzakkepesitesAzonositoszam)];

        #endregion
    }
}
