﻿using System;

namespace Kreta.Framework.Caching.DictionaryItemTables
{
    /// <summary>
    /// Kódtétel osztály.
    /// </summary>
    [Serializable]
    public class TavolletTipusDictionaryItem : DictionaryItem
    {
        /// <summary>
        /// Az osztály konstruktora.
        /// </summary>
        /// <param name="dictionaryItem">Kódtétel elem</param>
        public TavolletTipusDictionaryItem(DictionaryItem dictionaryItem) : base(dictionaryItem)
        {
            ExtendedProperties = dictionaryItem.ExtendedProperties;
        }

        #region Properties

        /// <summary>
        /// A távollét típus SAP kódja
        /// </summary>
        public string SapKod => (string)ExtendedProperties[nameof(SapKod)];

        #endregion
    }
}
